Subject: Re: [Dime] draft-bertz-dime-rfc4006bis - 3GPP specifications references

From: Yuval Lifshitz <[email-masked]>
Date: Sun, 3 Jul 2016 09:00:23 +0000

Agree with both points. As the reference to 22.115 is very generic.
In most cases, though, we should reference specific 3GPP versions. Unlike in IETF, they don’t rename the document, even if substantially modified between versions..

From: Gardella, Maryse (Nokia - FR) [mailto:[email-masked]]
Sent: Thursday, June 30, 2016 7:05 PM
To: Naveen Kottapalli; Yuval Lifshitz
Cc: [email-masked]
Subject: RE: [Dime] draft-bertz-dime-rfc4006bis - 3GPP specifications references

Hi all,

I would concur with the suggestion to just mention the 3GPP spec w/o version for the reference to 22.115, in case it is proposed to stick to this 3GPP reference:

[3GPPCHARG] is refered-to for the requirement “ that an application must be able to rate service information in real-time.”  as an example, which remained applicable (although I could not find the exact statement in this v5.2.0 referenced version) to subsequent versions of 22.115, and we could expect this to be still applicable in the future versions since it is generic enough.

Regarding the reference to [3GPPIMEI]:
The structure of IMEISV didn't change between release 5 and 13, and will likely not change in the future. But since this is about format, wouldn’t it be better to point on an explicit version, i.e. the last published one (Rel-13)?

BR
Maryse

From: DiME [mailto:[email-masked]] On Behalf Of Naveen Kottapalli
Sent: jeudi 30 juin 2016 14:19
To: Yuval Lifshitz
Cc: [email-masked]<mailto:[email-masked]>
Subject: Re: [Dime] draft-bertz-dime-rfc4006bis - 3GPP specifications references

Is it mandatory to mention the version number?  Since the specification numbering keeps changing for every release, so can't we just mention the specification number without version?

Yours,
Naveen.

On 22 June 2016 at 21:16, Yuval Lifshitz <[email-masked]<mailto:[email-masked]>> wrote:
Hi All,
RFC4006 currently reference rel5 3GPP specifications. Would like to propose the following changes to it would point to latest specifications:
In page 91, we have following text:

[3GPPIMEI]  3rd Generation Partnership Project; Technical
               Specification Group Core Network, Numbering, addressing
               and identification, (release 5), 3GPP TS 23.003 v. 5.8.0,
               2003-12
Current version of that spec is 13.5.0 (http://www.etsi.org/deliver/etsi_ts/123000_123099/123003/13.05.00_60/ts_123003v130500p.pdf)
The structure of IMEI didn't change between release 5 and 13, so the change should not have other side effects, therefore would recommend following text:

[3GPPIMEI]  3rd Generation Partnership Project; Technical
               Specification Group Core Network, Numbering, addressing
               and identification, (release 13), 3GPP TS 23.003 v. 13.5.0,
               2016-04.

Another 3GPP specification referenced from RFC4006 is in page 90:

[3GPPCHARG] 3rd Generation Partnership Project; Technical
               Specification Group Services and System Aspects, Service
               aspects; Charging and Billing, (release 5), 3GPP TS
               22.115 v. 5.2.1, 2002-03.

One option here would be to use the latest version of the above spec, which is 13.3.0 (http://www.etsi.org/deliver/etsi_ts/122100_122199/122115/13.03.00_60/ts_122115v130300p.pdf)
In the introduction, the spec is used as justification to why RFC4006 was needed at the first place, and why RFC3588 was not sufficient for these needs. So, any additional requirements added in release 13 version would only stress the necessity of RFC4006.
Would recommend the following text:

[3GPPCHARG] 3rd Generation Partnership Project; Technical
               Specification Group Services and System Aspects, Service
               aspects; Charging and Billing, (release 13), 3GPP TS
               22.115 v. 13.3.0, 2016-03.

-----Original Message-----
From: DiME [mailto:[email-masked]<mailto:[email-masked]>] On Behalf Of Jouni Korhonen
Sent: Friday, June 17, 2016 6:39 PM
To: [email-masked]<mailto:[email-masked]>
Subject: Re: [Dime] draft-bertz-dime-rfc4006bis

Thanks for the "RFC4006bis" team for initiating the work. See inline

6/17/2016, 1:04 AM, Yuval Lifshitz kirjoitti:
> Dear group members,
> There are some more modification to RFC4006 that we would like to propose (also listed here: https://github.com/lbertz02/rfc4006bis/issues) that probably require further discussion in the group:
> (1) Update the IPv6 reference

This is straight forward. Just make sure to reference to RFC4291bis work in 6MAN (draft-ietf-6man-rfc4291bis)

> (2) Update the 3GPP charging reference (currently point to rel5...).
> Here we may want to change that to point to a different doc altogether
> (3GPP TS 32.299), which is more relevant (and didn't exist at the
> time)

Here, someone really needs to check that changing the reference (TS and
release) does not break anything. I would encourage you to come up with a short analysis e.g., to Berlin meeting.

> (3) Change the AVP table in page 56-57, by removing the "Encr" and
> "SHOULD NOT" columns, and the "P" indication (see attached file) -
> similarly to the change made in RFC6733

This should be straigh forward. To my understanding no implementation follows the 'encr' recommendation in practise. Correct?

> (4) Upgrade Restriction-Filter-Rule AVP to also support RFC 5777

Again here some effort needs to be put to analyze backward compatibility is maintained if we touch Restriction-Filter-Rule AVP. I would encourage you to come up with a short analysis e.g., to Berlin meeting.

Also, I'll add (5) Credit-Control-Answer when 'E' is set. Check that the command is aligned with RFC6733 regarding the error replies.

- Jouni

>
> Appreciate your feedback!
>
> Yuval
>
>
>
> _______________________________________________
> DiME mailing list
> [email-masked]<mailto:[email-masked]>
> https://www.ietf.org/mailman/listinfo/dime
>

_______________________________________________
DiME mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/dime

_______________________________________________
DiME mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/dime